//
// Include file for ger_agua.pov
// Contains Door Garden
//
//                 Image for the Internet Ray Traicing Competition
//                            August - October of 1998
//                      Procesed by Guillermo Espitia Rojas




#declare Apoyo = union {
  object { Cylndr130 }
  box { // Platina1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.025, 0.43>
    translate  <-1.38, 0.0, 0.77>
  }
  object { Cylndr131 }
  object { // Cylndr132->Cylndr131
    Cylndr131
    translate  0.64*z
  }
  object { // Cylndr133->Cylndr130
    Cylndr130
    translate  <0.0, 0.0, 0.78>
  }
}
#declare Pasador = union {
  cylinder { // Cylndr134
    <0,0,1>, <0,0,0>, 1
    scale <0.006, 0.006, 0.08>
    rotate <-90.0, 0.0, 59.135628>
    translate  <-0.035, 0.026, 0.344>
  }
  cylinder { // Cylndr135
    <0,0,1>, <0,0,0>, 1
    scale <0.006, 0.006, 0.38>
    translate  <-0.035, 0.026, -0.03>
  }
}
#declare Adorno_Centro = union {
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1
    scale <0.0825, 0.0825, 0.02>
    rotate 90.0*x
    translate  0.6575*x
  }
  torus { // Torus49
    0.06, 0.008  rotate -x*90
    rotate -90.0*x
    translate  <0.6575, -0.02, 0.0>
  }
  sphere { // Sphere26
    <0,0,0>,1
    scale 0.03
    translate  <0.6575, -0.02, 0.0>
  }
  texture {
    GOLD1
  }
  translate  <-1.35, 0.0, 0.81>
}
#declare CSG212 = union {
  object { Torus50 }
  object { // Torus51->Torus50
    Torus50
    translate  1.315*x
  }
  object { // Torus52->Torus50
    Torus50
    translate  0.181667*x
  }
  object { // Torus53->Torus50
    Torus50
    translate  0.363333*x
  }
  object { // Torus54->Torus50
    Torus50
    translate  0.545*x
  }
  object { // Torus55->Torus50
    Torus50
    translate  1.133333*x
  }
  object { // Torus56->Torus50
    Torus50
    translate  0.951667*x
  }
  object { // Torus57->Torus50
    Torus50
    translate  0.77*x
  }
}
#declare CSG2 = difference {
  object { CSG212 }
  plane { // Plane11
    z,0
    rotate 90.0*y
  }
  plane { // PlanoDer
    z,0
    rotate -90.0*y
    translate  1.315*x
  }
}
#declare Reticula = union {
  object { CSG2 }
  object { Cylndr136 }
  object { // Cylndr137->Cylndr136
    Cylndr136
    translate  <1.315, 0.0, -0.0>
  }
  translate  <-1.35, 0.0, 0.81>
}
union { // PuertaMReja
  object { Apoyo }
  object { Pasador }
  object { Adorno_Centro }
  object { Reticula }
  texture {
    T_Poste2
  }
  translate  -5.2*y
}
